diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-cca-test.cc ns-3.44/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-cca-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -2094,53 +2135,53 @@
                             "sensitivity threshold");
         ScheduleTest(delay,
                      {},
-                     {{-70.0, MicroSeconds(0), P80_CENTER_FREQUENCY, 80}},
+                     {{dBm_u{-70}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
                      {
                          {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCCATime
-                         {PpduDurations.at(80) - smallDelta,
+                         {PpduDurations.at(MHz_u{80}) - smallDelta,
                           WifiPhyState::CCA_BUSY}, // CCA_BUSY just before the transmission ends
-                         {PpduDurations.at(80) + smallDelta,
+                         {PpduDurations.at(MHz_u{80}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {{aCcaTime,
                        MicroSeconds(16),
                        WIFI_CHANLIST_PRIMARY,
-                       ((m_channelWidth > 20)
-                            ? ((m_channelWidth > 40)
-                                   ? ((m_channelWidth > 80) ? std::vector<Time>{Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0)}
-                                                            : std::vector<Time>{Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0)})
+                       ((m_channelWidth > MHz_u{20})
+                            ? ((m_channelWidth > MHz_u{40})
+                                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0)}
+                                                                   : std::vector<Time>{Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0)})
                                    : std::vector<Time>{Seconds(0), Seconds(0)})
                             : std::vector<Time>{})},
-                      {PpduDurations.at(80) - smallDelta,
-                       PpduDurations.at(80),
+                      {PpduDurations.at(MHz_u{80}) - smallDelta,
+                       PpduDurations.at(MHz_u{80}),
                        WIFI_CHANLIST_PRIMARY,
-                       ((m_channelWidth > 20)
-                            ? ((m_channelWidth > 40)
-                                   ? ((m_channelWidth > 80) ? std::vector<Time>{Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0)}
-                                                            : std::vector<Time>{Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0),
-                                                                                Seconds(0)})
+                       ((m_channelWidth > MHz_u{20})
+                            ? ((m_channelWidth > MHz_u{40})
+                                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0)}
+                                                                   : std::vector<Time>{Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0),
+                                                                                       Seconds(0)})
                                    : std::vector<Time>{Seconds(0), Seconds(0)})
                             : std::vector<Time>{})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY when a 80 MHz HE SU PPDU with received power above the CCA
@@ -2154,35 +2195,35 @@
         ScheduleTest(
             delay,
             {},
-            {{-55.0, MicroSeconds(0), P80_CENTER_FREQUENCY, 80}},
+            {{dBm_u{-55}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
             {
                 {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCCATime
-                {PpduDurations.at(80) - smallDelta,
+                {PpduDurations.at(MHz_u{80}) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA_BUSY just before the transmission ends
-                {PpduDurations.at(80) + smallDelta,
+                {PpduDurations.at(MHz_u{80}) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTime,
               MicroSeconds(16),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > 20)
-                   ? ((m_channelWidth > 40)
-                          ? ((m_channelWidth > 80) ? std::vector<Time>{NanoSeconds(271200),
-                                                                       NanoSeconds(271200),
-                                                                       NanoSeconds(271200),
-                                                                       NanoSeconds(271200),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0)}
-                                                   : std::vector<Time>{NanoSeconds(271200),
-                                                                       NanoSeconds(271200),
-                                                                       NanoSeconds(271200),
-                                                                       NanoSeconds(271200)})
+              ((m_channelWidth > MHz_u{20})
+                   ? ((m_channelWidth > MHz_u{40})
+                          ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{NanoSeconds(271200),
+                                                                              NanoSeconds(271200),
+                                                                              NanoSeconds(271200),
+                                                                              NanoSeconds(271200),
+                                                                              NanoSeconds(0),
+                                                                              NanoSeconds(0),
+                                                                              NanoSeconds(0),
+                                                                              NanoSeconds(0)}
+                                                          : std::vector<Time>{NanoSeconds(271200),
+                                                                              NanoSeconds(271200),
+                                                                              NanoSeconds(271200),
+                                                                              NanoSeconds(271200)})
                           : std::vector<Time>{NanoSeconds(271200), NanoSeconds(271200)})
                    : std::vector<Time>{})},
-             {PpduDurations.at(80) - smallDelta,
-              PpduDurations.at(80),
+             {PpduDurations.at(MHz_u{80}) - smallDelta,
+              PpduDurations.at(MHz_u{80}),
               WIFI_CHANLIST_PRIMARY,
               ((m_channelWidth > 20)
                    ? ((m_channelWidth > 40)
@@ -2200,7 +2241,7 @@
                                                                        NanoSeconds(243200)})
                           : std::vector<Time>{NanoSeconds(243200), NanoSeconds(243200)})
                    : std::vector<Time>{})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal not
@@ -2212,19 +2253,19 @@
             "Reception of a 40 MHz HE PPDU that does not occupy the operational channel");
         ScheduleTest(delay,
                      {},
-                     {{-50.0, MicroSeconds(0), S40_CENTER_FREQUENCY, 40}},
+                     {{dBm_u{-50}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(20) - smallDelta,
+                         {PpduDurations.at(MHz_u{20}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(20) + smallDelta,
+                         {PpduDurations.at(MHz_u{20}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
     }
 
-    if (m_channelWidth > 80)
+    if (m_channelWidth > MHz_u{80})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2235,7 +2276,11 @@
                             "Reception of a 20 MHz signal that occupies the first subchannel of "
                             "S80 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY - 30, 20}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY - MHz_u{30},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2245,7 +2290,7 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2257,7 +2302,11 @@
                             "Reception of a 20 MHz signal that occupies the first subchannel of "
                             "S80 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY - 30, 20}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY - MHz_u{30},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2277,7 +2326,7 @@
                                          MicroSeconds(0),
                                          MicroSeconds(0),
                                          MicroSeconds(0)}}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2288,7 +2337,11 @@
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S80 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY - 10, 20}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY - MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2298,7 +2351,7 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2310,7 +2363,11 @@
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S80 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY - 10, 20}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY - MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2330,7 +2387,7 @@
                                          MicroSeconds(100),
                                          MicroSeconds(0),
                                          MicroSeconds(0)}}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2341,7 +2398,11 @@
                             "Reception of a 20 MHz signal that occupies the third subchannel of "
                             "S80 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY + 10, 20}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY + MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2351,7 +2412,7 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2363,7 +2424,11 @@
                             "Reception of a 20 MHz signal that occupies the third subchannel of "
                             "S80 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY + 10, 20}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY + MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2383,7 +2448,7 @@
                                          MicroSeconds(0),
                                          MicroSeconds(100),
                                          MicroSeconds(0)}}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2394,7 +2459,11 @@
                             "Reception of a 20 MHz signal that occupies the fourth subchannel of "
                             "S80 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY + 30, 20}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY + MHz_u{30},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2404,7 +2473,7 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2416,7 +2485,11 @@
                             "Reception of a 20 MHz signal that occupies the fourth subchannel of "
                             "S80 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY + 30, 20}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY + MHz_u{30},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2436,7 +2509,7 @@
                                          MicroSeconds(0),
                                          MicroSeconds(0),
                                          MicroSeconds(100)}}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2447,7 +2520,11 @@
                             "Reception of a 40 MHz signal that occupies the first and second "
                             "subchannels of S80 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY - 20, 40}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY - MHz_u{20},
+                       MHz_u{40}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2457,7 +2534,7 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2469,7 +2546,11 @@
                             "Reception of a 40 MHz signal that occupies the first and second "
                             "subchannels of S80 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY - 20, 40}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY - MHz_u{20},
+                       MHz_u{40}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2489,7 +2570,7 @@
                                          MicroSeconds(100),
                                          MicroSeconds(0),
                                          MicroSeconds(0)}}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2500,7 +2581,11 @@
                             "Reception of a 40 MHz signal that occupies the third and fourth "
                             "subchannels of S80 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY + 20, 40}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY + MHz_u{20},
+                       MHz_u{40}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2510,7 +2595,7 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2522,7 +2607,11 @@
                             "Reception of a 40 MHz signal that occupies the third and fourth "
                             "subchannels of S80 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY + 20, 40}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S80_CENTER_FREQUENCY + MHz_u{20},
+                       MHz_u{40}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -2542,7 +2631,7 @@
                                          MicroSeconds(0),
                                          MicroSeconds(100),
                                          MicroSeconds(100)}}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
@@ -2551,18 +2640,19 @@
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 80 MHz signal that occupies S80 below ED threshold");
-        ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, 80}},
-                     {},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, MHz_u{80}}},
+            {},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
@@ -2572,28 +2662,29 @@
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 80 MHz signal that occupies S80 above ED threshold");
-        ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, 80}},
-                     {},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100),
-                                         MicroSeconds(100),
-                                         MicroSeconds(100),
-                                         MicroSeconds(100)}}});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), S80_CENTER_FREQUENCY, MHz_u{80}}},
+            {},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{MicroSeconds(100) - smallDelta,
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY80,
+              std::vector<Time>{MicroSeconds(0),
+                                MicroSeconds(0),
+                                MicroSeconds(0),
+                                MicroSeconds(0),
+                                MicroSeconds(100),
+                                MicroSeconds(100),
+                                MicroSeconds(100),
+                                MicroSeconds(100)}}});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE as long as a 160 MHz signal below the energy detection
